import { EventEmitter } from '@angular/core';
import { NgxSuperSelectOptions } from './ngx-super-select-options';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NgxSuperSelectComponent implements ControlValueAccessor {
    private _onTouch;
    private _onChange;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onDocumentClicked(): void;
    dataSource: any[];
    disabled: boolean;
    _options: NgxSuperSelectOptions;
    set options(value: Partial<NgxSuperSelectOptions>);
    get options(): NgxSuperSelectOptions;
    selectedItemValues: any[];
    selectionChanged: EventEmitter<any[]>;
    isOpen: boolean;
    searchText: string;
    onBoxClicked(e: any): void;
    onItemClicked(e: any, item: any): void;
    onSelectAllClicked(e: any): void;
    onInvertSelectionClicked(e: any): void;
    onClearClicked(e: any): void;
    handleActionButtonEvent(e: any): void;
    onPopupClicked(e: any): void;
    isSelected(item: any): boolean;
    getFilteredItems(): any[];
    getName(obj: any): string;
    getValue(obj: any): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxSuperSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxSuperSelectComponent, "ngx-super-select", never, { "dataSource": { "alias": "dataSource"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "options": { "alias": "options"; "required": false; }; "selectedItemValues": { "alias": "selectedItemValues"; "required": false; }; }, { "selectionChanged": "selectionChanged"; }, never, never, false, never>;
}
